<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
</head>
<body>
<div th:fragment="pagination(pageObject,pathSegment)" th:with="maxPagesShow=${10}">
    <nav aria-label="Pagination" th:if="${pageObject.totalPages gt 0}">
        <ul class="pagination justify-content-center font-weight-medium">
            <li class="page-item" th:classappend="${pageObject.number eq 0} ? 'disabled'">
                <a class="page-link"
                   th:href="@{{pathSegment}?page={id}&sortField={sortField}&sortDir={sortDir}(pathSegment=${pathSegment},id=${pageObject.number lt 1 ? 0 : pageObject.number-1},sortField=${sortField},sortDir=${sortDir})}"
                   th:text="Prev"
                   th:title="Попередня"
                   rel="tooltip">
                </a>
            </li>
            <li class="page-item" th:classappend="${i eq pageObject.number} ? 'active'"
                th:each="i : ${#numbers.sequence( pageObject.number, pageObject.totalPages-1 > maxPagesShow + pageObject.number ? pageObject.number + maxPagesShow : pageObject.totalPages-1, 1)}">
                <a class="page-link"
                   th:href= "@{{pathSegment}?page={id}&sortField={sortField}&sortDir={sortDir}(pathSegment=${pathSegment},id=${i},sortField=${sortField},sortDir=${sortDir})}"
                   th:text="${i+1}"
                   th:title="${'Сторінка '+ i+1}"
                   rel="tooltip"></a>
            </li>
            <li class="page-item disabled" th:if="${pageObject.number + maxPagesShow < pageObject.totalPages-1}">
                <a class="page-link svg-icon" href="#"
                   th:text="...">
                </a>
            </li>
            <li class="page-item" th:classappend="${pageObject.number eq pageObject.totalPages-1} ? 'disabled'">
                <a class="page-link"
                   th:href= "@{{pathSegment}?page={id}&sortField={sortField}&sortDir={sortDir}(pathSegment=${pathSegment},id=${pageObject.number + 1},sortField= ${sortField},sortDir=${sortDir})}"
                   th:text="Next"
                   th:title="Наступна"
                   rel="tooltip">
                </a>
            </li>
        </ul>
    </nav>
</div>
</body>
</html>